# Copyright 2016 The Bazel Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License
"""Provides functionality to determine hosted configs based on Bazel version and
the container digest.

WARNING: Autogenerated file. Do not edit manually as changes may be overridden.
Contact repository owners if you wish to edit this file for instructions.
"""

# Returns a dict with suppported Bazel versions mapped to the config version to use.
_BAZEL_TO_CONFIG_SPEC_NAMES = {}

# sha256 digest of the latest version of the toolchain container.
LATEST = ""

CONTAINER_TO_CONFIG_SPEC_NAMES = {}

_DEFAULT_TOOLCHAIN_CONFIG_SPEC = ""

_TOOLCHAIN_CONFIG_SPECS = []

TOOLCHAIN_CONFIG_AUTOGEN_SPEC = struct(
    bazel_to_config_spec_names_map = _BAZEL_TO_CONFIG_SPEC_NAMES,
    container_to_config_spec_names_map = CONTAINER_TO_CONFIG_SPEC_NAMES,
    default_toolchain_config_spec = _DEFAULT_TOOLCHAIN_CONFIG_SPEC,
    latest_container = LATEST,
    toolchain_config_specs = _TOOLCHAIN_CONFIG_SPECS,
)
